VM credentials for A deployed product's jobs

VM credentials for A deployed product's jobs
VM credentials for a deployed product's jobs

VM credentials for a deployed product's jobs

Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/vm_credentials
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

[
    {
        "name": "string",
        "identity": "string",
        "password": "string"
    }
]
array of
Optional

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product does not exist, or has not been deployed

Returns RequiresInstalledProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/vm_credentials